GET
/
v1
/
validation
/
{request_id}
Retrieve validation results
curl --request GET \
  --url https://api.wavix.com/v1/validation/{request_id} \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "pending": 10,
  "count": 1000,
  "items": [
    {
      "phone_number": "971501390098",
      "valid": true,
      "country_code": "AE",
      "e164_format": "+971501390098",
      "national_format": "050 139 0098",
      "ported": false,
      "mcc": "424",
      "mnc": "02",
      "number_type": "mobile",
      "carrier_name": "Etisalat",
      "risky_destination": false,
      "unallocated_range": false,
      "reachable": true,
      "roaming": false,
      "timezone": "UTC+04:00",
      "charge": "0.015",
      "error_code": "000"
    },
    {
      "phone_number": "971504359195",
      "valid": true,
      "country_code": "AE",
      "e164_format": "+971504359195",
      "national_format": "050 435 9195",
      "ported": false,
      "mcc": "424",
      "mnc": "02",
      "number_type": "mobile",
      "carrier_name": "Etisalat",
      "risky_destination": false,
      "unallocated_range": false,
      "reachable": true,
      "roaming": false,
      "timezone": "UTC+04:00",
      "charge": "0.015",
      "error_code": "000"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Path Parameters

request_id
string
required

Request ID.

Example:

"12542c5c-1a17-4d12-a163-5b68543e75f6"

Response

Validation results.

status
string
required

Request status. Possible values are success and in progress.

  • success: All numbers were processed. - in progress: Several numbers are pending validation.
Example:

"success"

pending
integer<int32>
required

The quantity of phone numbers that are pending to be processed.

Example:

10

count
integer<int32>
required

The quantity of phone numbers passed in the request.

Example:

1000

items
PhoneValidationResultResponse · object[]
required

Array of objects containing details for each phone number. The returned fields depend on the type parameter.

Example:
[
{
"phone_number": "971501390098",
"valid": true,
"country_code": "AE",
"e164_format": "+971501390098",
"national_format": "050 139 0098",
"ported": false,
"mcc": "424",
"mnc": "02",
"number_type": "mobile",
"carrier_name": "Etisalat",
"risky_destination": false,
"unallocated_range": false,
"reachable": true,
"roaming": false,
"timezone": "UTC+04:00",
"charge": "0.015",
"error_code": "000"
},
{
"phone_number": "971504359195",
"valid": true,
"country_code": "AE",
"e164_format": "+971504359195",
"national_format": "050 435 9195",
"ported": false,
"mcc": "424",
"mnc": "02",
"number_type": "mobile",
"carrier_name": "Etisalat",
"risky_destination": false,
"unallocated_range": false,
"reachable": true,
"roaming": false,
"timezone": "UTC+04:00",
"charge": "0.015",
"error_code": "000"
}
]